/*
 * JEFFREE: Java(TM) Embedded Framework FREE
 * Copyright (C) 1999-2003 - Opensugar
 *
 * The contents of this file are subject to the Jeffree Public License,
 * as defined by the file JEFFREE_LICENSE.TXT 
 * 
 * You may not use this file except in compliance with the License.
 * You may obtain a copy of the License on the Objectweb web site
 * (www.objectweb.org). 
 * 
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific terms governing rights and limitations under the License. 
 * 
 * The Original Code is JEFFREE, including the java package com.opensugar.cube,
 * released January 1, 2003.
 * 
 * The Initial Developer of the Original Code is Opensugar.
 * The Original Code is Copyright Opensugar.
 * All Rights Reserved.
 *
 * Initial developer(s): Pierre Scokaert (Opensugar)
 * Contributor(s):
 */

package com.opensugar.cube.java2;

public class PackageHelper {

   public static String getName( Class clazz ) {
      // In Java 2:
      //    return clazz.getPackage().getName();
      String className = clazz.getName();
      int n = className.lastIndexOf( "." );
      return className.substring( 0, n );
   }

   public static String getImplementationVendor( String packageName ) {
      // In Java 2:
      //    return Package.getPackage( packageName ).getImplementationVendor();
return "???";
   }

   public static String getImplementationTitle( String packageName ) {
      // In Java 2:
      //    return Package.getPackage( packageName ).getImplementationTitle();
return "???";
   }

   public static String getImplementationVersion( String packageName ) {
      // In Java 2:
      //    return Package.getPackage( packageName ).getImplementationVersion();
return "???";
   }

   public static String getSpecificationTitle( String packageName ) {
      // In Java 2:
      //    return Package.getPackage( packageName ).getSpecificationTitle();
return "???";
   }

   public static String getSpecificationVersion( String packageName ) {
      // In Java 2:
      //    return Package.getPackage( packageName ).getSpecificationVersion();
return null;
   }

}
